package com.muyu.common.rabbit;

import jakarta.annotation.PostConstruct;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.context.annotation.Configuration;


/**
 * @Author：杨鹏
 * @Package：com.muyu.common.rabbit
 * @Project：cloud-common-rabbit
 * @name：RabbitTest
 * @Date：2024/8/4 11:54
 */
@Log4j2
@Configuration
@AllArgsConstructor
public class RabbitConfig {

    private final AmqpAdmin amqpAdmin;

    private final AmqpTemplate amqpTemplate;

    @PostConstruct
    public void init() {
        log.info("RabbitMq启动成功");
    }

}
